{% extends "frontend/html.html" %}
{% load django_htmx static %}

{% block css %}
<link rel="stylesheet" href="{% static 'frontend/main.css' %}">
{% endblock %}

{% block js %}
<script src="{% static 'frontend/htmx.min.js' %}" defer></script>
{% django_htmx_script %}
{% endblock %}

{% block body %}
<header>{% block header %}<h1>{% block title %}{% endblock %}</h1>{% endblock %}</header>
<nav>{% block nav %}{% endblock %}</nav>
<main>{% block main %}{% endblock %}</main>
<aside>{% block aside %}{% endblock %}</aside>
<footer>{% block footer %}{% endblock %}</footer>
{% endblock %}
